POST/GET Search Release
Search by ID
Method: POST
URL: {{server-url}}/api/v1/release/search/byqual
Example: http://172.16.11.160/api/v1/release/search/byqual
In order to search a release, you have to call the above endpoint with the following key-values:
Header
| Key | Description |
|---|---|
| Authorization | Bearer {access token obtained after authorization} |
| Content-Type | application/json |
Body
| Key | Description |
|---|---|
| type | value |
Example (Request & Response)
Request
curl --location 'http://172.16.11.160/api/v1/release/search/byqual' \
--header 'Authorization: Bearer eyJraWQiOiJmbG90by1rZXktaWQiLCJhbGciOiJSUzI1NiJ9.eyJzdWIiOiJqZXJyeUBtb3RhZGF0YS5jb20iLCJ1c2VyX25hbWUiOiJ1dWlkMzYtZmNkMjA3MmItMzA5My00MDA1LWFjNWEtYjNkMzVlZGIxZWI3IiwiaXNzIjoiaHR0cDovLzE3Mi4xNi4xMS4xNjAvYXBpIiwibG9naW5fc291cmNlIjoiTk9STUFMX0xPR0lOIiwiY2xpZW50X2lkIjoiZmxvdG8td2ViLWFwcCIsImF1ZCI6ImZsb3RvLXdlYi1hcHAiLCJsb2dpbl9zc29faWQiOjAsIm5iZiI6MTc4MDA0MzA4NSwiZ3JhbnRfdHlwZSI6InBhc3N3b3JkIiwic2NvcGUiOlsiTk8tU0NPUEUiXSwiZXhwIjoxNzgwMjE1ODg1LCJsb2dpbl9tc3BfcG9ydGFsX2lkIjowLCJpYXQiOjE3ODAwNDMwODUsImp0aSI6IjZjODg1ZTBmLTUzZjctNGIxMi04ZmVhLTIzZjU0NDM4OTcwNyIsInRlbmFudElkZW50aWZpZXIiOiJhcG9sbyJ9.ImjyUr195fh1fNS88fwe9YPU6_zQ_hwUpDRxymyxO2ch3kxItvjis589AWQmGnPwDNGFip0mhIX1pqVEMpgY_WyJhGt_T6XyQD3-vA9WIrX8zcv4A6CWmomK6IUQGzUwv1J6ktlrxoNG9xeEAhxA3IwIGulMX7EpUpp_3D1l8d_VO1FvheP7IZdnK0e_eoRD9sRAxTj7fKqYmhN_4M69KKyUO1VIk3D0hRbeVizROI1arIkAGlhNj30RchqvsD8pt-JMEE8YjslFeNqAXeClyv7x9eZ-YgWfYVN0_zib_xWbJT8Jrym_h-j9zShRpm-ePro0uP6R-1ClFbb-2J0RkQ' \
--header 'Content-Type: application/json' \
--data-raw '{
"assigneeEmail": "jerry@motadata.com"
}'
Response
{
"objectList": [
{
"id": 9,
"categoryName": "General",
"name": "REL-9",
"createdTime": 1780049758087,
"updatedTime": 1780049758105,
"departmentName": "HR",
"statusName": "Requested",
"createdByName": "Jerry",
"subject": "New Software Release v8.7.4",
"requesterName": "Jerry",
"fileAttachments": [],
"requesterEmail": "jerry@motadata.com",
"description": "New software version with features, enhancements, and bug fixes.",
"tags": [
"release"
],
"locationName": "Asia",
"impactName": "On Users",
"priorityName": "Medium",
"urgencyName": "Low",
"updatedByName": "Jerry",
"solutionUpdatedTime": 0,
"createdTimeAt": "29/05/2026 03:45 pm",
"updatedTimeAt": "29/05/2026 03:45 pm",
"releaseEngineerEmail": "jerry@motadata.com",
"releaseManagerEmail": "sam@motadata.com",
"qaManagerEmail": "sam@motadata.com",
"releaseReviewerEmail": "jerry@motadata.com",
"riskTypeName": "Medium",
"releaseTypeName": "Major",
"reasonTypeName": "Upgrade Existing",
"startDate": 1777877700000,
"endDate": 1779951300000,
"impactFileAttachments": [],
"backoutPlanFileAttachments": [],
"rolloutPlanFileAttachments": [],
"buildPlanFileAttachments": [],
"testPlanFileAttachments": [],
"dueBy": "08/06/2026 03:45 pm",
"ccEmailSet": [],
"lastApprovedDate": 0,
"slaName": "tets"
},
{
"id": 8,
"categoryName": "General",
"name": "REL-8",
"createdTime": 1780049526234,
"updatedTime": 1780050038765,
"departmentName": "HR",
"assigneeEmail": "jerry@motadata.com",
"statusName": "Requested",
"createdByName": "Jerry",
"subject": "New Software Release v8.7.4",
"requesterName": "Jerry",
"fileAttachments": [],
"requesterEmail": "jerry@motadata.com",
"description": "New software version with features, enhancements, and bug fixes.",
"tags": [
"release"
],
"locationName": "Asia",
"impactName": "On Users",
"priorityName": "Medium",
"urgencyName": "Low",
"updatedByName": "Jerry",
"solutionUpdatedTime": 0,
"createdTimeAt": "29/05/2026 03:42 pm",
"updatedTimeAt": "29/05/2026 03:50 pm",
"releaseEngineerEmail": "jerry@motadata.com",
"releaseManagerEmail": "sam@motadata.com",
"qaManagerEmail": "sam@motadata.com",
"releaseReviewerEmail": "jerry@motadata.com",
"riskTypeName": "Medium",
"releaseTypeName": "Major",
"reasonTypeName": "Upgrade Existing",
"startDate": 1777877700000,
"endDate": 1779951300000,
"impactFileAttachments": [],
"backoutPlanFileAttachments": [],
"rolloutPlanFileAttachments": [],
"buildPlanFileAttachments": [],
"testPlanFileAttachments": [],
"dueBy": "08/06/2026 03:42 pm",
"ccEmailSet": [],
"lastApprovedDate": 0,
"slaName": "tets"
},
{
"id": 7,
"categoryName": "General",
"name": "REL-7",
"createdTime": 1779991809262,
"updatedTime": 1779991809278,
"statusName": "Requested",
"createdByName": "harry",
"subject": "cd",
"requesterName": "harry",
"fileAttachments": [],
"requesterEmail": "harry@motadata.com",
"description": "",
"tags": [],
"impactName": "Low",
"priorityName": "Low",
"urgencyName": "Low",
"updatedByName": "harry",
"solutionUpdatedTime": 0,
"createdTimeAt": "28/05/2026 11:40 pm",
"updatedTimeAt": "28/05/2026 11:40 pm",
"riskTypeName": "Low",
"startDate": 1779127740000,
"endDate": 1782583740000,
"impactFileAttachments": [],
"backoutPlanFileAttachments": [],
"rolloutPlanFileAttachments": [],
"buildPlanFileAttachments": [],
"testPlanFileAttachments": [],
"dueBy": "07/06/2026 11:40 pm",
"ccEmailSet": [],
"lastApprovedDate": 0,
"slaName": "tets"
},
{
"id": 5,
"categoryName": "General",
"name": "REL-5",
"createdTime": 1779991076836,
"updatedTime": 1779991710475,
"departmentName": "IT",
"technicianGroupName": "Network Operations Group",
"assigneeEmail": "test",
"statusName": "In Progress",
"createdByName": "harry",
"subject": "test from api",
"requesterName": "harry",
"fileAttachments": [],
"requesterEmail": "harry@motadata.com",
"description": "Issy Wong to Yastika Bhatia, FOUR, another dreadful delivery to complete a dreadful over. Low full toss outside off, Yastika reaches out and creams it through point Shafali vs Lauren Bell in WT20s Inns: 12 Runs: 82 Balls: 79 Dismissals: 3 SR: 103.8 1.5 Issy Wong to Yastika Bhatia, no run, angling down leg, tucked to short fine 1.4 4 Issy Wong to Yastika Bhatia, FOUR, doles out a half-volley this time and Yastika punches it down the ground for four more. 23 off the over, two more balls to go 1.3 4 Issy Wong to Yastika Bhatia, FOUR, it's already a massive over and we're only halfway in. Hard length in the channel, Yastika opens the face and guides it past backward point 1.3 Issy Wong to Yastika Bhatia, 5 wides, terrible from Wong. Another five-run bonus down the leg-side. Keeper probably should've stopped it this time",
"tags": [
"tets",
"cricket"
],
"locationName": "Asia",
"impactName": "On Business",
"priorityName": "Urgent",
"urgencyName": "Urgent",
"updatedByName": "harry",
"solutionUpdatedTime": 0,
"createdTimeAt": "28/05/2026 11:27 pm",
"updatedTimeAt": "28/05/2026 11:38 pm",
"releaseEngineerEmail": "mj",
"releaseManagerEmail": "test",
"qaManagerEmail": "harrymotadata.com",
"releaseReviewerEmail": "cxo",
"riskTypeName": "Medium",
"releaseTypeName": "Major",
"reasonTypeName": "Upgrade Existing",
"startDate": 1779730740000,
"endDate": 1780162740000,
"impact": "Hi, You have been added as Cc for the following request. Request Id : SR-93 Subject : Request for New Laptop Description : Request for New Laptop Thanks, IT Support Team",
"impactFileAttachments": [],
"backoutPlan": "Hi, You have been added as Cc for the following request. Request Id : SR-93 Subject : Request for New Laptop Description : Request for New Laptop Thanks, IT Support Team",
"backoutPlanFileAttachments": [],
"rolloutPlan": "For the next 30 days, you have access to Enterprise capabilities designed for teams working together at scale, including organization-level visibility, governed workflows, and expanded AI usage. Enterprise adds the controls teams need as usage grows. Instead of managing API work in isolation, your team can collaborate in shared workspaces with clear ownership, permissions, and visibility.",
"rolloutPlanFileAttachments": [],
"buildPlan": "cd Tue 26 May, 16:43 (2 days ago) to me Dear jerry1234, We would like to acknowledge that we have received your Request. A support technician will be reviewing your request and will reply to you within 24 Hours. Request Id : INC-59 Subject : AST-1 Software Postman x64 12.11.4 uninstalled from jerry To view Request, please visit the following URL: http://172.16.11.160/support-portal/request/59 Thanks, IT Support Team",
"buildPlanFileAttachments": [],
"testPlan": "lease find attached Dashboard - Copy of Helpdesk Dashboard One attachment • Scanned by Gmail",
"testPlanFileAttachments": [],
"dueBy": "07/06/2026 11:28 pm",
"ccEmailSet": [
"jerry1234@gmail.com"
],
"lastApprovedDate": 1779991122557,
"slaName": "tets"
},
{
"id": 4,
"categoryName": "General",
"name": "REL-4",
"createdTime": 1779990923896,
"updatedTime": 1779990923930,
"departmentName": "IT",
"technicianGroupName": "Network Operations Group",
"assigneeEmail": "test",
"statusName": "Requested",
"createdByName": "harry",
"subject": "test from api",
"requesterName": "harry",
"fileAttachments": [],
"requesterEmail": "harry@motadata.com",
"description": "Issy Wong to Yastika Bhatia, FOUR, another dreadful delivery to complete a dreadful over. Low full toss outside off, Yastika reaches out and creams it through point Shafali vs Lauren Bell in WT20s Inns: 12 Runs: 82 Balls: 79 Dismissals: 3 SR: 103.8 1.5 Issy Wong to Yastika Bhatia, no run, angling down leg, tucked to short fine 1.4 4 Issy Wong to Yastika Bhatia, FOUR, doles out a half-volley this time and Yastika punches it down the ground for four more. 23 off the over, two more balls to go 1.3 4 Issy Wong to Yastika Bhatia, FOUR, it's already a massive over and we're only halfway in. Hard length in the channel, Yastika opens the face and guides it past backward point 1.3 Issy Wong to Yastika Bhatia, 5 wides, terrible from Wong. Another five-run bonus down the leg-side. Keeper probably should've stopped it this time",
"tags": [
"tets",
"cricket"
],
"locationName": "Asia",
"impactName": "On Business",
"priorityName": "Urgent",
"urgencyName": "Urgent",
"updatedByName": "harry",
"solutionUpdatedTime": 0,
"createdTimeAt": "28/05/2026 11:25 pm",
"updatedTimeAt": "28/05/2026 11:25 pm",
"releaseEngineerEmail": "mj",
"releaseManagerEmail": "test",
"qaManagerEmail": "harry@motadata.com",
"releaseReviewerEmail": "cxo",
"riskTypeName": "Medium",
"releaseTypeName": "Major",
"reasonTypeName": "Upgrade Existing",
"startDate": 1779730740000,
"endDate": 1780162740000,
"impact": "Hi, You have been added as Cc for the following request. Request Id : SR-93 Subject : Request for New Laptop Description : Request for New Laptop Thanks, IT Support Team",
"impactFileAttachments": [],
"backoutPlan": "Hi, You have been added as Cc for the following request. Request Id : SR-93 Subject : Request for New Laptop Description : Request for New Laptop Thanks, IT Support Team",
"backoutPlanFileAttachments": [],
"rolloutPlan": "For the next 30 days, you have access to Enterprise capabilities designed for teams working together at scale, including organization-level visibility, governed workflows, and expanded AI usage. Enterprise adds the controls teams need as usage grows. Instead of managing API work in isolation, your team can collaborate in shared workspaces with clear ownership, permissions, and visibility.",
"rolloutPlanFileAttachments": [],
"buildPlan": "cd Tue 26 May, 16:43 (2 days ago) to me Dear jerry1234, We would like to acknowledge that we have received your Request. A support technician will be reviewing your request and will reply to you within 24 Hours. Request Id : INC-59 Subject : AST-1 Software Postman x64 12.11.4 uninstalled from jerry To view Request, please visit the following URL: http://172.16.11.160/support-portal/request/59 Thanks, IT Support Team",
"buildPlanFileAttachments": [],
"testPlan": "lease find attached Dashboard - Copy of Helpdesk Dashboard One attachment • Scanned by Gmail",
"testPlanFileAttachments": [],
"ccEmailSet": [
"jerry1234@gmail.com"
],
"lastApprovedDate": 0
},
{
"id": 3,
"categoryName": "General",
"name": "REL-3",
"createdTime": 1779990915858,
"updatedTime": 1779990915888,
"departmentName": "IT",
"technicianGroupName": "Network Operations Group",
"assigneeEmail": "test",
"statusName": "Requested",
"createdByName": "harry",
"subject": "test from api",
"requesterName": "harry",
"fileAttachments": [],
"requesterEmail": "harry@motadata.com",
"description": "Issy Wong to Yastika Bhatia, FOUR, another dreadful delivery to complete a dreadful over. Low full toss outside off, Yastika reaches out and creams it through point Shafali vs Lauren Bell in WT20s Inns: 12 Runs: 82 Balls: 79 Dismissals: 3 SR: 103.8 1.5 Issy Wong to Yastika Bhatia, no run, angling down leg, tucked to short fine 1.4 4 Issy Wong to Yastika Bhatia, FOUR, doles out a half-volley this time and Yastika punches it down the ground for four more. 23 off the over, two more balls to go 1.3 4 Issy Wong to Yastika Bhatia, FOUR, it's already a massive over and we're only halfway in. Hard length in the channel, Yastika opens the face and guides it past backward point 1.3 Issy Wong to Yastika Bhatia, 5 wides, terrible from Wong. Another five-run bonus down the leg-side. Keeper probably should've stopped it this time",
"tags": [
"tets",
"cricket"
],
"locationName": "Asia",
"impactName": "On Business",
"priorityName": "Urgent",
"urgencyName": "Urgent",
"updatedByName": "harry",
"solutionUpdatedTime": 0,
"createdTimeAt": "28/05/2026 11:25 pm",
"updatedTimeAt": "28/05/2026 11:25 pm",
"releaseEngineerEmail": "mj",
"releaseManagerEmail": "test",
"qaManagerEmail": "harry@motadata.com",
"releaseReviewerEmail": "cxo",
"riskTypeName": "Medium",
"releaseTypeName": "Major",
"reasonTypeName": "Upgrade Existing",
"startDate": 1779730740000,
"endDate": 1780162740000,
"impact": "Hi, You have been added as Cc for the following request. Request Id : SR-93 Subject : Request for New Laptop Description : Request for New Laptop Thanks, IT Support Team",
"impactFileAttachments": [],
"backoutPlan": "Hi, You have been added as Cc for the following request. Request Id : SR-93 Subject : Request for New Laptop Description : Request for New Laptop Thanks, IT Support Team",
"backoutPlanFileAttachments": [],
"rolloutPlan": "For the next 30 days, you have access to Enterprise capabilities designed for teams working together at scale, including organization-level visibility, governed workflows, and expanded AI usage. Enterprise adds the controls teams need as usage grows. Instead of managing API work in isolation, your team can collaborate in shared workspaces with clear ownership, permissions, and visibility.",
"rolloutPlanFileAttachments": [],
"buildPlan": "cd Tue 26 May, 16:43 (2 days ago) to me Dear jerry1234, We would like to acknowledge that we have received your Request. A support technician will be reviewing your request and will reply to you within 24 Hours. Request Id : INC-59 Subject : AST-1 Software Postman x64 12.11.4 uninstalled from jerry To view Request, please visit the following URL: http://172.16.11.160/support-portal/request/59 Thanks, IT Support Team",
"buildPlanFileAttachments": [],
"testPlan": "lease find attached Dashboard - Copy of Helpdesk Dashboard One attachment • Scanned by Gmail",
"testPlanFileAttachments": [],
"ccEmailSet": [
"jerry1234@gmail.com"
],
"lastApprovedDate": 0
},
{
"id": 2,
"categoryName": "General",
"name": "REL-2",
"createdTime": 1779990846863,
"updatedTime": 1779990846900,
"departmentName": "IT",
"technicianGroupName": "Network Operations Group",
"assigneeEmail": "test",
"statusName": "Requested",
"createdByName": "harry",
"subject": "test from api",
"requesterName": "harry",
"fileAttachments": [],
"requesterEmail": "harry@motadata.com",
"description": "Issy Wong to Yastika Bhatia, FOUR, another dreadful delivery to complete a dreadful over. Low full toss outside off, Yastika reaches out and creams it through point Shafali vs Lauren Bell in WT20s Inns: 12 Runs: 82 Balls: 79 Dismissals: 3 SR: 103.8 1.5 Issy Wong to Yastika Bhatia, no run, angling down leg, tucked to short fine 1.4 4 Issy Wong to Yastika Bhatia, FOUR, doles out a half-volley this time and Yastika punches it down the ground for four more. 23 off the over, two more balls to go 1.3 4 Issy Wong to Yastika Bhatia, FOUR, it's already a massive over and we're only halfway in. Hard length in the channel, Yastika opens the face and guides it past backward point 1.3 Issy Wong to Yastika Bhatia, 5 wides, terrible from Wong. Another five-run bonus down the leg-side. Keeper probably should've stopped it this time",
"tags": [
"tets",
"cricket"
],
"locationName": "Asia",
"impactName": "On Business",
"priorityName": "Urgent",
"urgencyName": "Urgent",
"updatedByName": "harry",
"solutionUpdatedTime": 0,
"createdTimeAt": "28/05/2026 11:24 pm",
"updatedTimeAt": "28/05/2026 11:24 pm",
"releaseEngineerEmail": "mj",
"releaseManagerEmail": "test",
"qaManagerEmail": "harry@motadata.com",
"releaseReviewerEmail": "cxo",
"riskTypeName": "Medium",
"releaseTypeName": "Major",
"reasonTypeName": "Upgrade Existing",
"startDate": 1779730740000,
"endDate": 1780162740000,
"impact": "Hi, You have been added as Cc for the following request. Request Id : SR-93 Subject : Request for New Laptop Description : Request for New Laptop Thanks, IT Support Team",
"impactFileAttachments": [],
"backoutPlan": "Hi, You have been added as Cc for the following request. Request Id : SR-93 Subject : Request for New Laptop Description : Request for New Laptop Thanks, IT Support Team",
"backoutPlanFileAttachments": [],
"rolloutPlan": "For the next 30 days, you have access to Enterprise capabilities designed for teams working together at scale, including organization-level visibility, governed workflows, and expanded AI usage. Enterprise adds the controls teams need as usage grows. Instead of managing API work in isolation, your team can collaborate in shared workspaces with clear ownership, permissions, and visibility.",
"rolloutPlanFileAttachments": [],
"buildPlan": "cd Tue 26 May, 16:43 (2 days ago) to me Dear jerry1234, We would like to acknowledge that we have received your Request. A support technician will be reviewing your request and will reply to you within 24 Hours. Request Id : INC-59 Subject : AST-1 Software Postman x64 12.11.4 uninstalled from jerry To view Request, please visit the following URL: http://172.16.11.160/support-portal/request/59 Thanks, IT Support Team",
"buildPlanFileAttachments": [],
"testPlan": "lease find attached Dashboard - Copy of Helpdesk Dashboard One attachment • Scanned by Gmail",
"testPlanFileAttachments": [],
"ccEmailSet": [
"jerry1234@gmail.com"
],
"lastApprovedDate": 0
},
{
"id": 1,
"categoryName": "General",
"name": "REL-1",
"createdTime": 1779989959861,
"updatedTime": 1779990299566,
"departmentName": "IT",
"technicianGroupName": "Network Operations Group",
"assigneeEmail": "test",
"statusName": "Requested",
"createdByName": "harry",
"subject": "test",
"requesterName": "harry",
"fileAttachments": [],
"requesterEmail": "harry@motadata.com",
"description": "Issy Wong to Yastika Bhatia, FOUR, another dreadful delivery to complete a dreadful over. Low full toss outside off, Yastika reaches out and creams it through point Shafali vs Lauren Bell in WT20s Inns: 12 Runs: 82 Balls: 79 Dismissals: 3 SR: 103.8 1.5 Issy Wong to Yastika Bhatia, no run, angling down leg, tucked to short fine 1.4 4 Issy Wong to Yastika Bhatia, FOUR, doles out a half-volley this time and Yastika punches it down the ground for four more. 23 off the over, two more balls to go 1.3 4 Issy Wong to Yastika Bhatia, FOUR, it's already a massive over and we're only halfway in. Hard length in the channel, Yastika opens the face and guides it past backward point 1.3 Issy Wong to Yastika Bhatia, 5 wides, terrible from Wong. Another five-run bonus down the leg-side. Keeper probably should've stopped it this time",
"tags": [
"tets",
"cricket"
],
"locationName": "Asia",
"impactName": "On Business",
"priorityName": "Urgent",
"urgencyName": "Urgent",
"updatedByName": "harry",
"solutionUpdatedTime": 0,
"createdTimeAt": "28/05/2026 11:09 pm",
"updatedTimeAt": "28/05/2026 11:14 pm",
"releaseEngineerEmail": "mj",
"releaseManagerEmail": "test",
"qaManagerEmail": "harry@motadata.com",
"releaseReviewerEmail": "cxo",
"riskTypeName": "Medium",
"releaseTypeName": "Major",
"reasonTypeName": "Upgrade Existing",
"startDate": 1779730740000,
"endDate": 1780162740000,
"impact": "Hi, You have been added as Cc for the following request. Request Id : SR-93 Subject : Request for New Laptop Description : Request for New Laptop Thanks, IT Support Team",
"impactFileAttachments": [],
"backoutPlan": "Hi, You have been added as Cc for the following request. Request Id : SR-93 Subject : Request for New Laptop Description : Request for New Laptop Thanks, IT Support Team",
"backoutPlanFileAttachments": [],
"rolloutPlan": "For the next 30 days, you have access to Enterprise capabilities designed for teams working together at scale, including organization-level visibility, governed workflows, and expanded AI usage. Enterprise adds the controls teams need as usage grows. Instead of managing API work in isolation, your team can collaborate in shared workspaces with clear ownership, permissions, and visibility.",
"rolloutPlanFileAttachments": [],
"buildPlan": "cd <jerry1234@gmail.com> Tue 26 May, 16:43 (2 days ago) to me Dear jerry1234, We would like to acknowledge that we have received your Request. A support technician will be reviewing your request and will reply to you within 24 Hours. Request Id : INC-59 Subject : AST-1 Software Postman x64 12.11.4 uninstalled from jerry To view Request, please visit the following URL: http://172.16.11.160/support-portal/request/59 Thanks, IT Support Team",
"buildPlanFileAttachments": [],
"testPlan": "lease find attached Dashboard - Copy of Helpdesk Dashboard One attachment • Scanned by Gmail",
"testPlanFileAttachments": [],
"ccEmailSet": [
"jerry@gmail.com"
],
"lastApprovedDate": 0
}
],
"totalCount": 8
}
Search by Logon Name or Email Address
Method: GET
URL: {{server-url}}/api/v1/release/search/byRequester?requester={logon-name/email-address}&archived=true
Example: http://172.16.11.159/api/v1/release/search/byRequester?requester=jerry&archived=false
In order to search a release, you have to call the above endpoint with the following key-values:
Header
| Key | Description |
|---|---|
| Authorization | Bearer {access token obtained after authorization} |
| Content-Type | application/json |
Body
| Key | Description |
|---|---|
| type | value |
Example (Request & Response)
Request
curl --location 'http://172.16.11.159/api/v1/release/search/byRequester?requester=jerry&archived=false' \
--header 'Authorization: Apikey Co%2BPX3I8FV5Vonpj%40pjMprZhVXFS194c5YVnQ%2FVcjENMu%2F4QuHg%2BT%2FidOlWBq8Ja7puXJnWA%3D' \
--header 'Content-Type: application/json' \
--data '
Response
{
"objectList": [
{
"id": 2,
"name": "REL-2",
"createdTime": 1780301530290,
"updatedTime": 1780301530290,
"statusName": "Requested",
"createdByName": "shraddha",
"subject": "ServiceOps Release v8.7.4",
"requesterName": "jerry",
"fileAttachments": [],
"requesterEmail": "jerry@motadata.com",
"description": "ServiceOps Release v8.7.4",
"tags": [],
"impactName": "Low",
"priorityName": "Low",
"urgencyName": "Low",
"updatedByName": "shraddha",
"solutionUpdatedTime": 0,
"createdTimeAt": "01/06/2026 01:42 PM",
"updatedTimeAt": "01/06/2026 01:42 PM",
"riskTypeName": "Low",
"startDate": 1780301520000,
"endDate": 1780387920000,
"impactFileAttachments": [],
"backoutPlanFileAttachments": [],
"rolloutPlanFileAttachments": [],
"buildPlanFileAttachments": [],
"testPlanFileAttachments": [],
"ccEmailSet": [],
"lastApprovedDate": 0
}
],
"totalCount": 1
}